ARLN(3)

PACKAGE
arln - Routines to asynchronously read from the standard input

PURPOSE
These routines are meant to provide a simple to use asynchronous line reading facility. When reading from pipes, connections and terminals, the routines continue polling for events (using the chm_poll and cm_poll routines). They are not usable in a module which also uses an alternative event management scheme (such as Xt Intrinsics or the XView notifier).

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

arln_read_float
    Read a floating point value from the user.

arln_read_int
    Read an integer value from the user.

arln_read_flag
    Read a boolean value from the user.

arln_read_line
    Read a string from the user.

arln_read_from_stdin
    Read a line from the user.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/